osl::DirectionTraitsGen< LONG_U > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const bool | canPromoteTo =true
static const Direction | altDir =LONG_D
static const Direction | longDir =LONG_U
static const Direction | primDir =U
static const int | blackDx =DirectionTraitsGen<U>::blackDx
static const int | blackDy =DirectionTraitsGen<U>::blackDy
static const int | ptypeMask

## Detailed Description

Definition at line 147 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< LONG_U >::altDir =LONG_D

static

Definition at line 149 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< LONG_U >::blackDx =DirectionTraitsGen<U>::blackDx

static

Definition at line 152 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< LONG_U >::blackDy =DirectionTraitsGen<U>::blackDy

static

Definition at line 153 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< LONG_U >::canPromoteTo =true

static

Definition at line 148 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< LONG_U >::longDir =LONG_U

static

Definition at line 150 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< LONG_U >::primDir =U

static

Definition at line 151 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< LONG_U >::ptypeMask

static

Initial value:
=
(1<<LANCE)|(1<<ROOK)|(1<<PROOK)
osl::ROOK
@ ROOK
Definition basic_type.h:100
osl::PROOK
@ PROOK
Definition basic_type.h:92
osl::LANCE
@ LANCE
Definition basic_type.h:96

Definition at line 154 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h